%define xtag X11R7.1
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXaw runtime library
Name: 		libXaw
Version: 	1.0.4
Release: 	1
License: 	MIT/X11
URL: 		http://www.x.org
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0: 	ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXt-devel
BuildRequires: 	libXmu-devel
BuildRequires: 	libXpm-devel
# configure doesn't complain about libXext missing, but the build fails
# without it.
BuildRequires: 	libXext-devel
# Required by the configury.
BuildRequires: 	ed
# Required for some old packages
Provides:	xorg-Xaw
Obsoletes: 	xorg-libs xorg-Xaw

%description
X.Org X11 libXaw runtime library

%package devel
Summary: 	X.Org X11 libXaw development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

Requires: 	xorg-x11-proto-devel
Requires: 	libXmu-devel
Requires: 	libXt-devel
Requires: 	libXpm-devel
# Required for some old packages
Provides:	xorg-Xaw-devel
Obsoletes: 	xorg-devel xorg-Xaw-devel

%description devel
X.Org X11 libXaw development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure --disable-xaw8 \
%if ! %{with_static}
	--disable-static
%endif
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXaw.so.6
%{_libdir}/libXaw.so.7
%{_libdir}/libXaw6.so.6
%{_libdir}/libXaw6.so.6.0.1
%{_libdir}/libXaw7.so.7
%{_libdir}/libXaw7.so.7.0.0

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
%dir %{_includedir}/X11/Xaw
%{_includedir}/X11/Xaw/*.h
# FIXME:  Is this C file really supposed to be here?
%{_includedir}/X11/Xaw/Template.c
%{_libdir}/libXaw.so
%if %{with_static}
%{_libdir}/libXaw6.a
%{_libdir}/libXaw7.a
%endif
%{_libdir}/libXaw6.so
%{_libdir}/libXaw7.so
%{_libdir}/pkgconfig/xaw6.pc
%{_libdir}/pkgconfig/xaw7.pc
%dir %{_datadir}/aclocal
%{_datadir}/aclocal/xaw.m4
#%dir %{_mandir}/man3x
%{_mandir}/man3/

%changelog
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- version update
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-4
- rebuilt for xorg 7.2
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-3
- adjusted provides
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-2
- adjusted obsoletes
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial release
